`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2020/08/20 20:33:20
// Design Name: 
// Module Name: example
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module example(
    input clk,
    input [7:0] sw,
    input txd,
    output [7:0] led,
    output reg [2:0] an,
    output reg [3:0] d,
    output rxd
    );

reg clear;
reg state,state_r1,state_r2;
reg [26:0] cnt;
reg [3:0] dr[7:0];
wire state_redge;

assign led[7:4] = sw[7:4];
assign led[3:0] = sw[3:0] & cnt[26:23];
assign rxd = txd;

always@(posedge clk)
begin
    if (sw[7]) clear <= 1;
    else clear <= 0;
end

always@(posedge clk)
begin
  if (cnt >= 100000000)
    cnt <= 0;
  else
    cnt <= cnt + 1;
end

always@(posedge clk)
begin
    if (cnt[26:19]) state <= 1;
    else state <= 0;
    state_r1 <= state;
    state_r2 <= state_r1;
end

assign state_redge = state_r1 & (~state_r2);

always@(posedge clk)
begin
    if(state_redge)
    begin
        dr[0] <= dr[0]+1;
        dr[1] <= dr[0];
        dr[2] <= dr[1];
        dr[3] <= dr[2];
        dr[4] <= dr[3];
        dr[5] <= dr[4];
        dr[6] <= dr[5];
        dr[7] <= dr[6];
    end
end

always@(posedge clk)
begin
    if(~clear)
    begin
        case(cnt[20:18])
            3'b000: begin an <= 0; d <= dr[0]; end
            3'b001: begin an <= 1; d <= dr[1]; end
            3'b010: begin an <= 2; d <= dr[2]; end
            3'b011: begin an <= 3; d <= dr[3]; end
            3'b100: begin an <= 4; d <= dr[4]; end
            3'b101: begin an <= 5; d <= dr[5]; end
            3'b110: begin an <= 6; d <= dr[6]; end
            3'b111: begin an <= 7; d <= dr[7]; end
        endcase
    end
    else
    begin
        an <= sw[6:4]; 
        d <= sw[3:0];
    end
end

endmodule
